function [ y ] = convolution( x,h )
%function [y] = CONVOLUTION( x,h )
%CONVOLUTION vykoná lineárnu konvolúciu dvoch signálov/vektorov
% Vstupy:   x,h - vstupné signály
% Výstup:   y - konvolúcia vstupných signálov



N = length(x);
L = length(h);
y = zeros(1,N+L-1);

for i=1:N
    for k=1:L
        y(i+k-1)= y(i+k-1) + x(i)*h(k);
    end
end

end



